sparkleshare (3.28+git20190525+cf446c0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update Vcs-*.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Remove Python dependency (Closes: #942781, #943234, #947300).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Dec 2019 12:56:34 +0100

sparkleshare (3.28+git20190117-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/changelog: Remove trailing whitespaces.

  [ Andrej Shadura ]
  * New upstream snapshot 3.28+git20190117.
  * Add a git snapshot watch line.
  * Update the homepage and copyrights.
  * Update the package description.
  * Bump Standards-Version, no changes.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Jan 2019 15:35:21 +0100

sparkleshare (3.28-1) unstable; urgency=medium

  [ Maxime “pep” Buquet ]
  * New upstream release.
  * Change buildsystem to meson.
  * Remove the start/stop patch that has never been upstreamed.
  * Patch meson.build to remove a post-install script.
  * Update debian/copyright.

  [ Andrej Shadura ]
  * Install RELEASE_NOTES.txt as a changelog.
  * Depend on git-lfs (Closes: #899223).
  * Make sure appdate gets installed into /usr/share/metainfo only.
  * Fix permissions on shipped HTML files.
  * Use debhelper compat level 11.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Aug 2018 12:01:10 +0200

sparkleshare (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop old patches, refresh the remaining one.
  * Update the path to the AppData file.
  * Update debian/docs.
  * Update copyrights.
  * Add the missing sources for jQuery.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 May 2018 13:06:46 +0200

sparkleshare (1.5.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 06-move_to_webkit2.patch:
    - Cherry-picked patch borrowed from Fedora 27 to use the supported
      webkit2gtk library (Closes: #878111)
  * debian/control:
    - Build-depend on libwebkit2-sharp-4.0-cil-dev instead of
      libwebkitgtk3.0-cil-dev

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Oct 2017 18:47:08 -0400

sparkleshare (1.5.0-2) unstable; urgency=medium

  * Fetch updates from the upstream's master branch.
  * Ship AppStream metadata.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 14 May 2016 12:38:12 +0100

sparkleshare (1.5.0-1) unstable; urgency=medium

  [ Thanh Tung Nguyen ]
  * Fix test in order to use autoreconf
  * Add the m4 macros directories correctly

  [ Neil McGovern ]
  * Add stop command

  [ Andrew Shadura ]
  * Imported Upstream version 1.5.0
  * Update debian/watch.
  * Use dh 9:
    - Bump compat to 9
    - Build-depend on debhelper >= 9
    - Update cli-common-dev dependency.
  * Wrap and sort.
  * Update the copyrights:
    - SparkleLib is now LGPL-3+
    - Update copyright years
    - Add more Debian packagers
  * Install Authors.txt too.
  * SparkleShare 1.5 uses GTK+ 3, update the build dependencies.
  * Depend on a newer Git (>= 1.8.0).
  * Patch GLib.Application.Run call.
  * Update and refresh the patches.
  * Drop explicit paths in autoreconf invocation.
  * Set myself as an uploader.
  * Remove autoconf artifacts on clean.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 19 Jan 2016 09:06:32 +0100

sparkleshare (1.2-1) unstable; urgency=medium

  * [f4fb0ef] --with no longer takes an =
  * [9debf85] Force build with 4.5 libraries

 -- Jo Shields <directhex@apebox.org>  Mon, 21 Dec 2015 22:03:29 +0000

sparkleshare (1.2-0.1) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Non-maintainer upload
  * [6f73085] Imported Upstream version 1.2 (#730491)

  [ Jo Shields ]

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 20 Oct 2014 23:31:16 -0400

sparkleshare (1.1.0-1) unstable; urgency=low

  * [e45ec00] Imported Upstream version 1.1.0
  * [914d4f9] debian/watch: downloads moved to bitbucket

 -- Carlos Martín Nieto <cmn@dwim.me>  Mon, 27 May 2013 15:15:33 +0100

sparkleshare (1.0.0-1) unstable; urgency=low

  * [9b28584] Imported Upstream version 1.0.0
  * [7943d0f] Remove patch
  * [4e04623] Fix the name of the news and trademark files
  * [29653a9] Increase mono build dependency to 2.10 (Closes: #686006)

 -- Carlos Martín Nieto <cmn@dwim.me>  Tue, 14 May 2013 08:33:16 +0100

sparkleshare (0.9.0-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [bcdc7ef] Fix watch file

  [ Iain Lane ]
  * [40dd1a8] Add missing epoch to git versioned dependency

  [ Carlos Martín Nieto ]
  * [1cf4989] debian/patches: add
    0001-linux-statusicon-Fix-statusicon-animation.-Closes-84.patch.  Fill the
    status icon array correctly so the in-progress animation gets shown
    instead of blinking.

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Mon, 23 Jul 2012 21:43:27 +0100

sparkleshare (0.9.0-1) unstable; urgency=low

  * [50bd5da] Imported Upstream version 0.9.0
  * [02f9752] debian/patches: Remove both patches.
    They are now upstream.
  * [6423c35] debian/docs: Re-add README.md and fix location of TRADEMARK

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Sat, 30 Jun 2012 04:31:27 +0800

sparkleshare (0.8.4-1) unstable; urgency=low

  [ Jo Shields ]
  * [9a423ce] Imported Upstream version 0.8.4

  [ Carlos Martín Nieto ]
  * [bd3c9bd] There's no autogen anymore, use ./configure as usual.
    It looks like we do have tarball releases again.
  * [264b24c] Add
    0001-Don-t-call-update-desktop-database-from-the-Makefile.patch
  * [7ff3ad5] Remove README.md and add TRADEMARK to the installed docs
  * [2661826] Add patch
    0002-Fix-event-log-not-loading-on-Ubuntu.-Closes-729.patch
  * [f9780f2] Use the packaged jquery
  * [4dbf480] Bump Standards-Version to 3.9.3

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Mon, 11 Jun 2012 14:13:52 +0100

sparkleshare (0.8.2-1) unstable; urgency=low

  * [272b12a] Imported Upstream version 0.8.2
    + No longer messes with SSH config (Closes: #656107)
  * [96a15af] Re-add README.md to debian/docs. It's in the tarball again.
  * [770c73b] Use dh-autoreconf to call ./autogen.sh.

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Thu, 23 Feb 2012 22:47:40 +0000

sparkleshare (0.6.0-2) unstable; urgency=low

  * Team upload.
  * Rebuild for CLR 4.0 transition
  * [52a530b] Re-add python-nautilus build-dependency.
    This reverts commit f19ee730334cfa69de74f5373c960d8317f1b9a9.
    (Closes: #645858)
  * [873e9f1] Drop deprecated cli.make

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Jan 2012 04:19:03 +0800

sparkleshare (0.6.0-1) unstable; urgency=low

  [ Carlos Martín Nieto ]
  * [e7facf8] Imported Upstream version 0.6.0
  * [3605835] Don't install README, it's no longer in the tarball
  * [c33134b] Do run distcheck, it works now

  [ Motiejus Jakštys ]
  * [db5b74e] Add gawk to build-depends

  [ Chow Loong Jin ]
  * [62b82a9] Replace Iain Lane with Carlos Martin Nieto in Uploaders

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Sat, 14 Jan 2012 06:02:24 +0800

sparkleshare (0.4.2-1) experimental; urgency=low

  * [f4116ff] Imported Upstream version 0.4.0
  * [2e25c2c] Imported Upstream version 0.4.1
  * [080f6f3] Remove 0001-Add-missing-shebang-to-nautilus-extension.patch.
    Merged upstream
  * [0ffa880] Imported Upstream version 0.4.2

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Fri, 02 Dec 2011 16:57:23 +0000

sparkleshare (0.4.0-2) experimental; urgency=low

  * [2ac5762] Depend on gnome-icon-theme.
    SparkleShare unconditionally uses GNOME icons and crashes when they are
    not available. (Closes: #650209)
  * [21c88c5] Fix syntax errors in d/copyright, thanks Lintian
  * [f19ee73] Remove BD on nautlius-python since it is currently broken in Debian.
    When #649910 is fixed we can look at enabling it again.

 -- Iain Lane <laney@debian.org>  Mon, 28 Nov 2011 14:43:14 +0000

sparkleshare (0.4.0-1) experimental; urgency=low

  * [8a32190] Imported Upstream version 0.4.0
  * [53a5447] Remove
    0002-Use-SparkleHelpers-method-instead-of-4.0-only-librar.patch
  * [e9f220f] Don't run 'make check'
  * [d6970b8] Add shebang to the nautilus3 extension

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Wed, 23 Nov 2011 22:23:41 +0000

sparkleshare (0.2.5-2) experimental; urgency=low

  * [c19513a] New patch to use SparkleHelpers method instead of 4.0 only
    library one. This restores compatibility with older Mono versions.
  * [173ef62] Rename patch to
    0001-Add-missing-shebang-to-nautilus-extension.patch.
  * [47aa816] Relax mono and cli-common versioned BDs now that we don't need
    them any more

 -- Iain Lane <laney@debian.org>  Thu, 28 Jul 2011 11:02:32 +0100

sparkleshare (0.2.5-1) experimental; urgency=low

  * [f320fef] Imported Upstream version 0.2.5
    + Reimplement notes to be less buggy and backend independent. Polish
      about dialog and event log html. Fix a bug where large collections of
      files weren't being synced when adding them at the same time. The
      event log now collapses huge change sets and squashes events together
      by day when they are on the same day and in the same folder.
  * [8f862d6] Require mono 2.10 and cli-common-dev 0.8.
    New upstream release uses some CLR 4.0 APIs and so we need to bump the
    BDs

 -- Iain Lane <laney@debian.org>  Tue, 26 Jul 2011 09:32:28 +0100

sparkleshare (0.2.4-1) experimental; urgency=low

  * [7aa8901] Imported Upstream version 0.2.4
  * [584cf39] Remove 0001-Check-for-both-2.0-and-4.0-libs.patch, merged upstream.
    Also no longer need to reautogen.
  * [cf1e91c] Make sparkleshare arch:all.
    Contains only managed code.
  * [cb99676] Depend on git >= 1.7.1 per upstream

 -- Iain Lane <laney@debian.org>  Sat, 16 Jul 2011 18:57:00 +0100

sparkleshare (0.2.2-1) experimental; urgency=low

  * Initial upload to Debian, adapted from packages by Andrea Colangelo
    <warp10@ubuntu.com> (Closes: #597053)
  * [f8efff7] Imported Upstream version 0.2.2
  * [5e50d80] Run wrap-and-sort
  * [944e7aa] Clean up build dependencies and use CLI packaging helpers
  * [cccd3b7] Set maintainer to CLI applications team
  * [84c59dd] Rewrap long description
  * [d30ebf1] Depend on git & gvfs, and recommend python-nautilus.
    Required for a reasonable amount of functionality
  * [3a47a7b] Update copyright
  * [e350f34] Add watch file
  * [bf42781] Update package description
  * [6640d37] Add new patch to check for both 2.0 and 4.0 libs.
    This is to be compatible with mono 2.6 and 2.10. Also autoreconf to pick
    this up.
  * [1ea4e93] Add new patch introducing shebang into Nautilus extension
  * [85651a2] Recommend python for the script (thanks, Lintian)

 -- Iain Lane <laney@debian.org>  Wed, 15 Jun 2011 22:59:01 +0100

sparkleshare (0.2.1-0ppa2) oneiric; urgency=low

  * debian/control: add dependency on libwebkit1.1-cil to fix crash on
    startup (thanks to Alin Andrei for reporting and fixing this bug).
  * debian/copyright: update.

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 15 Jun 2011 11:53:00 +0200

sparkleshare (0.2.1-0ppa1) oneiric; urgency=low

  * Initial release.

 -- Andrea Colangelo <warp10@ubuntu.com>  Thu, 09 Jun 2011 08:53:08 +0200
